Package com.explodingpixels.macwidgets.plaf

## Class UnifiedToolbarButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - com.explodingpixels.macwidgets.plaf.UnifiedToolbarButtonUI

Direct Known Subclasses:
  `PreferencesTabBarButtonUI`

    public class UnifiedToolbarButtonUI
    extends javax.swing.plaf.basic.BasicButtonUI

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

`defaultTextIconGap, defaultTextShiftOffset`

### Constructor Summary

Constructors
`UnifiedToolbarButtonUI()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `installDefaults​(javax.swing.AbstractButton b)`
`protected void` `paintIcon​(java.awt.Graphics g, javax.swing.JComponent c, java.awt.Rectangle iconRect)`
`protected void` `paintText​(java.awt.Graphics g, javax.swing.JComponent c, java.awt.Rectangle textRect, java.lang.String text)`
`protected void` `uninstallDefaults​(javax.swing.AbstractButton b)`

### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

`clearTextShiftOffset, createButtonListener, createUI, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, getPropertyPrefix, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paint, paintButtonPressed, paintFocus, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnifiedToolbarButtonUI

    public UnifiedToolbarButtonUI()

### Method Detail

#### installDefaults

    protected void installDefaults​(javax.swing.AbstractButton b)

Overrides:
  `installDefaults` in class `javax.swing.plaf.basic.BasicButtonUI`

#### uninstallDefaults

    protected void uninstallDefaults​(javax.swing.AbstractButton b)

Overrides:
  `uninstallDefaults` in class `javax.swing.plaf.basic.BasicButtonUI`

#### paintIcon

    protected void paintIcon​(java.awt.Graphics g,
                             javax.swing.JComponent c,
                             java.awt.Rectangle iconRect)

Overrides:
  `paintIcon` in class `javax.swing.plaf.basic.BasicButtonUI`

#### paintText

    protected void paintText​(java.awt.Graphics g,
                             javax.swing.JComponent c,
                             java.awt.Rectangle textRect,
                             java.lang.String text)

Overrides:
  `paintText` in class `javax.swing.plaf.basic.BasicButtonUI`